package com.alacrityfoundation;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.LinkedHashMap;

public class Tokeniser implements TokeniserInterface{
	private URL url;
	private String content;
	private LinkedHashMap<String, Integer> results = new LinkedHashMap<String, Integer>();
	
	public Tokeniser(String url) throws MalformedURLException, IOException {
		this.url = new URL(url);
		BufferedReader br = new BufferedReader(new InputStreamReader(this.url.openStream()));
		
		StringBuilder sb = new StringBuilder();
        String line = br.readLine();
       
        while (line != null) {
        	for(String word : this.splitLine(line)) {
        		if(this.results.containsKey(word)){
        			Integer i = results.get(word);
        			results.remove(word);
        			results.put(word, i++);
        		} else {
        			this.results.put(word, 1);
        		}
        	}
            sb.append(line);
            sb.append(System.lineSeparator());
            line = br.readLine();
        }
        this.content = sb.toString();
        System.out.println(results.toString());
	}
	
	@Override
	public String[] splitLine(String line) {
		line = line.replaceAll("[^A-Za-z0-9 ]", "");
		line = line.toLowerCase();
		return line.split(" ");
	}

	@Override
	public int getTotalWords() {
		
		return 0;
	}

	@Override
	public int getFrequencyofWord(String word) {
		return 0;
	}

	@Override
	public int getDistinctWords() {
		return 0;
	}

	@Override
	public String getMostCommonWord() {
		return null;
	}

	@Override
	public String getNthMostCommonWord(String word) {
		return null;
	}
}
