package com.alacrityfoundation.tests;

import java.io.IOException;
import java.net.MalformedURLException;

import org.junit.Assert;
import org.junit.Test;

import com.alacrityfoundation.Tokeniser;

public class Tester {
	private Tokeniser t;
	
	public Tester() {
		try {
			t = new Tokeniser("http://172.18.102.102/beggars.txt");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	@Test(expected=MalformedURLException.class)
	public void testConstructorMalformedURL() throws MalformedURLException, IOException {
		t = new Tokeniser("url here");
	}
	
	@Test(expected=IOException.class)
	public void testConstructorIOException() throws MalformedURLException, IOException {
		t = new Tokeniser("url here");
	}
	
	@Test
	public void testNumWords() {
		Assert.assertEquals(0, t.getTotalWords());
	}
	
	@Test
	public void testLineSplitting() {
		Assert.assertArrayEquals(new String[]{"hello", "world"}, t.splitLine("hello.!@'' world-"));
	}
}
